<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Kunjungan_model extends CI_Model
{

    public $table = 'tbl_kunjungan';
	public $view = 'view_kunjungan';
    public $id = 'id_kunjungan';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all($condition="",$like=0)
    {
		if($condition!=""){
			if($like=1)
				$this->db->like($condition);
			else	
				$this->db->where($condition);
		}
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->view)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->view)->row();
    }
    
    // get total rows
    function total_rows($q = NULL) {
        $this->db->like('id_kunjungan', $q);
	$this->db->or_like('id_konsumen', $q);
	$this->db->or_like('datetime', $q);
	$this->db->or_like('status', $q);
	$this->db->or_like('keterangan', $q);
	$this->db->from($this->view);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL) {
        $this->db->order_by($this->id, $this->order);
        $this->db->like('id_kunjungan', $q);
	$this->db->or_like('id_konsumen', $q);
	$this->db->or_like('datetime', $q);
	$this->db->or_like('status', $q);
	$this->db->or_like('keterangan', $q);
	$this->db->limit($limit, $start);
        return $this->db->get($this->view)->result();
    }

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        $this->db->delete($this->table);
    }

}

/* End of file Kunjungan_model.php */
/* Location: ./application/models/Kunjungan_model.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2016-08-17 09:16:07 */
/* http://harviacode.com */